
Katello - Bug #5145

UI should raise validation error when key value of custom info exceeds 255 characters

04/10/2014 05:28 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1016203 Red Hat JIRA:  

Pull request:    

Description

(In reply to Sachin Ghai from comment #0)

Description of problem:

UI should raise validation error when key value of custom info  exceeds 255

characters. Currently UI accepts 255 characters for key's value.. However

when we input 256 characters nothing happens on UI even after clicking

'save' button.

Version-Release number of selected component (if applicable):

katello-1.4.6-20.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. Create a custom info with a key and value greater than 255 characters

2.

3.

Actual results:

UI doesn't raise validation error.

Expected results:

UI should raise validation error on clicking 'save' button.

Additional info:

Associated revisions

Revision 90ec0e14 - 04/10/2014 01:33 PM - Walden Raines

Fixes #5145, BZ1016203: display error in UI on custom info errors.

Revision 30d2809a - 04/10/2014 05:33 PM - Walden Raines

Fixes #5145, BZ1016203: display error in UI on custom info errors.

Revision b5ad9180 - 04/11/2014 09:54 AM - Walden Raines

Merge pull request #3965 from waldenraines/bug-1016203

Fixes #5145, BZ1016203: display error in UI on custom info errors.

Revision e5f6da68 - 04/11/2014 01:54 PM - Walden Raines

Merge pull request #3965 from waldenraines/bug-1016203

05/17/2024 1/2



Fixes #5145, BZ1016203: display error in UI on custom info errors.

History

#1 - 04/10/2014 05:29 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/3965

#2 - 04/11/2014 02:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:30d2809aeaa6f388ce876969dc542f207f1017d6.

#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
